/* ComplexFunctions.h */

void myExp(double& zRe, double& zIm, const double& xRe, const double& xIm);
void myLog(double& zRe, double& zIm, const double& xRe, const double& xIm);
void mySin(double& zRe, double& zIm, const double& xRe, const double& xIm);
void myCos(double& zRe, double& zIm, const double& xRe, const double& xIm);
void myTan(double& zRe, double& zIm, const double& xRe, const double& xIm);
void mySqrt(double& zRe, double& zIm, const double& xRe, const double& xIm);
void mySqr(double& zRe, double& zIm, const double& xRe, const double& xIm);
void mySinh(double& z, const double& x);
void myCosh(double& z, const double& x);
void myASinh(double& z, const double& x);
void myACosh(double& z, const double& x);
void myATanh(double& z, const double& x);
void mySinhC(double& zRe, double& zIm, const double& xRe, const double& xIm);
void myCoshC(double& zRe, double& zIm, const double& xRe, const double& xIm);
void myTanhC(double& zRe, double& zIm, const double& xRe, const double& xIm);
void myASin(double& zRe, double& zIm, const double& xRe, const double& xIm);
void myACos(double& zRe, double& zIm, const double& xRe, const double& xIm);
void myATan(double& zRe, double& zIm, const double& xRe, const double& xIm);
void myASinhC(double& zRe, double& zIm, const double& xRe, const double& xIm);
void myACoshC(double& zRe, double& zIm, const double& xRe, const double& xIm);
void myATanhC(double& zRe, double& zIm, const double& xRe, const double& xIm);
void myPowCC(double& zRe, double& zIm,  const double& xRe, const double& xIm,
					const double& yRe, const double& yIm);
void myPowCD(double& zRe, double& zIm,  const double& xRe, const double& xIm,
					const double& y);
void myPowDC(double& zRe, double& zIm,  const double& x,
					const double& yRe, const double& yIm);
